export function parsePackageName(name, baseScope) {
    const result = {
        scope: null,
        name,
        packageName: name,
    };
    if (name.startsWith("@") && name.includes("/")) {
        const [org, ...rest] = name.split("/");
        result.scope = org;
        result.name = rest.join("/");
    }
    else if (baseScope) {
        result.scope = baseScope;
        result.packageName = `${baseScope}/${name}`;
    }
    return result;
}
//# sourceMappingURL=pasrsePackageName.js.map